Loading...
Searching...
No Matches
lyds_tree.c File Reference

Internal type plugin for sorting data nodes. More...

`#include "plugins_types.h"`
`#include <assert.h>`
`#include <stddef.h>`
`#include <string.h>`
`#include "compat.h"`
`#include "libyang.h"`
`#include "ly_common.h"`
`#include "tree_data_sorted.h"`
Include dependency graph for lyds_tree.c:

Go to the source code of this file.

## Variables

const struct lyplg_type_record | plugins_lyds_tree []
| Plugin information for lyds_tree type implementation.

## Detailed Description

Internal type plugin for sorting data nodes.

Author
  Adam Piecek piece.nosp@m.k@ce.nosp@m.snet..nosp@m.cz

Copyright (c) 2019-2023 CESNET, z.s.p.o.

This source code is licensed under BSD 3-Clause License (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at

    https://opensource.org/licenses/BSD-3-Clause

Definition in file lyds_tree.c.

## Variable Documentation

## plugins_lyds_tree

const struct lyplg_type_record plugins_lyds_tree[]

Initial value:
= {
{
.module = "yang",
.revision = NULL,
.name = "lyds_tree",
.plugin.id = "libyang 2 - lyds_tree, version 1",
.plugin.store = lyplg_type_store_lyds,
.plugin.validate = NULL,
.plugin.compare = lyplg_type_compare_lyds,
.plugin.sort = lyplg_type_sort_lyds,
.plugin.print = lyplg_type_print_lyds,
.plugin.duplicate = lyplg_type_dupl_lyds,
.plugin.free = lyplg_type_free_lyds,
.plugin.lyb_data_len = 0
},
{0}
}

Plugin information for lyds_tree type implementation.

Note that external plugins are supposed to use:

LYPLG_TYPES = {

Definition at line 129 of file lyds_tree.c.